Bug 65059 - Add more testing to RenderLayer [ct'd]
Summary: Add more testing to RenderLayer [ct'd]
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Julien Chaffraix
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-22 18:17 PDT by Julien Chaffraix
Modified: 2011-08-02 16:40 PDT (History)
5 users (show)

See Also:


Attachments
Proposed new test cases. (53.63 KB, patch)
2011-07-22 18:41 PDT, Julien Chaffraix
no flags Details | Formatted Diff | Diff
Updated test cases, shared images with the same checksum and updated the comments per James's request. (46.64 KB, patch)
2011-07-28 12:06 PDT, Julien Chaffraix
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Chaffraix 2011-07-22 18:17:53 PDT
Follow up of bug 64650, it adds more testing to the layering code to make sure everything is fine. This bug adds testing of <iframe> and more position: absolute when scrolling is involved.
Comment 1 Julien Chaffraix 2011-07-22 18:41:29 PDT
Created attachment 101800 [details]
Proposed new test cases.
Comment 2 Adrienne Walker 2011-07-26 11:55:56 PDT
If you don't mind me asking, why are there so many platform-specific differences here?

Also, yay tests!
Comment 3 Julien Chaffraix 2011-07-26 12:10:09 PDT
(In reply to comment #2)
> If you don't mind me asking, why are there so many platform-specific differences here?

No worries, my guess is that Chromium unites the repaint rectangles instead of sending individual dirty rectangles which is what Mac is doing.

Then there is 2 tests where the invalidated rectangle looks wrong results on Mac, I have not investigated those 2 so I can't say why.
Comment 4 James Robinson 2011-07-27 00:04:22 PDT
Comment on attachment 101800 [details]
Proposed new test cases.

According to the checksums the chromium and mac versions of absolute-position-change-containing-block-expected.png are identical, same for absolute-position-moved-expected.png and fixed-to-relative-position-with-absolute-child-expected.png.  would you mind de-duplicating these and putting the shared .pngs next to the test?  I didn't check all for dupes.

The comments in the tests seem a bit out of date - for example nested-iframe-scroll-outer.html talks about a red box, but there isn't any such box in the output (nor should there be red in the expectations for a pixel test).
Comment 5 Julien Chaffraix 2011-07-28 12:06:14 PDT
Created attachment 102282 [details]
Updated test cases, shared images with the same checksum and updated the comments per James's request.
Comment 6 James Robinson 2011-07-29 18:33:06 PDT
Comment on attachment 102282 [details]
Updated test cases, shared images with the same checksum and updated the comments per James's request.

R=me
Comment 7 WebKit Review Bot 2011-07-29 19:13:11 PDT
Comment on attachment 102282 [details]
Updated test cases, shared images with the same checksum and updated the comments per James's request.

Clearing flags on attachment: 102282

Committed r92042: <http://trac.webkit.org/changeset/92042>
Comment 8 WebKit Review Bot 2011-07-29 19:13:16 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Adam Barth 2011-07-30 17:52:19 PDT
I fixed the baselines for this patch in http://trac.webkit.org/changeset/92066.
Comment 10 Julien Chaffraix 2011-08-02 16:38:41 PDT
Filed bug 65580 for the 2 mac dumps being wrong.
Comment 11 Julien Chaffraix 2011-08-02 16:40:53 PDT
(In reply to comment #9)
> I fixed the baselines for this patch in http://trac.webkit.org/changeset/92066.

Thanks Adam. I looked at the baseline and it looks like Chromium is repainting way too much in this one:

http://trac.webkit.org/browser/trunk/LayoutTests/platform/chromium-mac/fast/repaint/fixed-to-relative-position-with-absolute-child-expected.png

The rest is fine.